Russian Square Plus! Edition

Russian Square Plus! Edition tests your ability to create matching lines of blocks before time runs out.

  • Concepts
  • How to play Russian Square
  • Scoring
  • Customizing Russian Square
  • Strategies and tips
© 2001 Microsoft Corporation. All rights reserved.


Concepts

The object of Russian Square is to earn as many points as possible. To do this, you must clear rows and columns of blocks from the playing board. A row or column of blocks is cleared when they match. If you clear all the blocks from the grid, you advance to the next level and keep playing.

This section contains:

  • The game board
  • Skill settings
  • Levels
  • Blockers


The game board

The Russian Square game board consists of the following parts:

  • Grid. The grid is the rectangular area comprised of blocks. The starting size of the grid increases as you progress to higher levels.
  • Blocks. The blocks are the individual pieces that compose the grid. Blocks come in different colors or shapes, depending on the theme you choose. Your goal is to move blocks so that a row or column contains identical blocks, at which point the row or column disappears from the grid.
  • Active block. The active block is the only block that lies outside the grid. You move the active block to control the position of all the blocks. Using the keyboard or mouse, you can move the active block around the perimeter of the grid. Then you can move it into any row or column. Doing so pushes a different block out the other end of that row or column. The block that was pushed out of the row or column becomes the new active block.
  • Time. The time area contains a clock that indicates the amount of time remaining before a row or column of blocks is added to the grid. The clock changes color—from green to yellow to red—as time runs down, warning you that another line of blocks will soon be added to the grid. The amount of time you have becomes shorter as you progress to higher levels, and as the grid becomes smaller within a level.
  • Score. This area displays the total number of points you have earned during the current game.
  • Level. This area displays the level you are currently playing. By default, games start at level 1 and proceed up to level 9.
  • High score. This area displays the top score for the current skill setting, and the name of the person who earned the score.

Related topics

  • Skill settings
  • Levels
  • Blockers
  • Playing the game


Skill settings

You can play Russian Square at three different skill settings: beginner, intermediate, and advanced. They differ according to the amount of time you have to complete each level, the number of blockers you encounter, and the amount of time before blockers move to new positions on the grid.

Beginner

The beginner skill setting has the following characteristics:

  • It is the slowest skill setting. You have the most time to eliminate a line of blocks before a new line is added.
  • No blockers are displayed until you reach level 6. No more than two blockers will appear during a level. Blockers remain in the same location for seven seconds.

Intermediate

The intermediate skill setting has the following characteristics:

  • You have less time than at the beginner skill setting to eliminate a line of blocks before a new line is added.
  • No blockers are displayed until you reach level 3. The number of blockers increases as you move to higher levels. Blockers remain in the same location for five seconds.

Advanced

The advanced skill setting has the following characteristics:

  • It is the fastest skill setting. You have the least time to eliminate a line of blocks before a new line is added.
  • Blockers can appear at any level. The number of blockers increases as you move to higher levels. The number of blockers is significantly higher than at the intermediate skill setting. Blockers remain in the same location for four seconds.

To specify a skill setting

  • On the Game menu, click Beginner, Intermediate, or Advanced.


Levels

Every Russian Square game includes nine playing levels, numbered 1 through 9. Level 1 begins with a 4-by-4 grid of blocks. Level 9, the last level, begins with a 12-by-12 grid.

Lower levels are easier because there are not as many blocks to clear from the grid. Correspondingly, you receive higher scores for completing higher levels, because more points are awarded for removing longer rows and columns.

By default, Russian Square games begin at level 1. However, you can start a game at any level by selecting the New game from level command on the Game menu. You might want to do this once you have mastered the lower levels and want to go straight to the higher levels, in which you can earn more points faster.

Related topics

  • Scoring


Blockers

Blockers are blocks that cannot be moved. The following chart shows examples of what blockers look like in the different themes.

Theme | Blockers
Neon |
Candy |
Shapes |

Blockers make the game more difficult. Because blockers cannot move, you cannot remove any row or column that contains a blocker.

Blockers do not remain in one place. If a blocker appears, you must wait for several seconds before it disappears. At that point, you can move the row and column that contained the blocker.

Blockers can appear at level 6 and later with the beginner skill setting, and at level 3 or later with the intermediate skill setting. They can appear in any level with the advanced skill setting.


How to play Russian Square

You play Russian Square by using the keyboard or mouse to move the active block around and into the grid so that all the blocks in a given row or column match. Once all of the blocks in a row or column match, that row or column disappears. When all blocks disappear from the grid, you move up to the next level.

The game continues until you surrender, the board becomes full of blocks, or you complete level 9 (not an easy feat).

This section contains:

  • Starting a game
  • Playing the game
  • Pausing a game
  • Adding a line to the grid
  • When the game ends


Starting a game

You can start the game from any of the available levels: 1 through 9. By default, games start at Level 1. However, you can start a game from a higher level. Doing so makes it possible to accumulate points faster.

To start a new game at the same level as the previous game

  • On the Game menu, click New Game.

Russian Square starts the game at the same skill setting and level as the previous game.

To start a game at a specific level

  • On the Game menu, point to New Game From Level, and then click the level at which you want to start.

Note All subsequent games will start at this level until you change this setting again.


Playing the game

You can use either your keyboard or your mouse to move the active block in Russian Square. New users may find the keyboard easier to use. Try both the keyboard and mouse to see which one works best for you.

Using the keyboard

You can use the keyboard to play Russian Square. For many people, the keyboard is the easiest way to play Russian Square because keys are easier to control than the mouse.

Use the arrow keys to move the active block.

  • To move the active block up, press the UP ARROW key.
  • To move the active block to the right, press the RIGHT ARROW key.
  • To move the active block down, use the DOWN ARROW key.
  • To move the active block to the left, press the LEFT ARROW key.

Using the mouse

You can use your mouse to play Russian Square. Moving the mouse causes the active block to move in the corresponding direction. For example, if you move the mouse to the right the cursor block moves to the right. If you move the mouse toward yourself, the active block moves down.

Using the mouse generally allows you to move the active block faster than if you use the keyboard. However, for some users, the mouse is harder to control and therefore makes playing the game more difficult.

Note If you have difficulty viewing the game board while playing Russian Square, it is recommended that you set your screen resolution to the lowest possible setting.


Pausing a game

You can pause a game, and then resume it later.

To pause a game

  • On the Game menu, click Pause Game or press F3.

To resume a game

  • On the Game menu, click Resume Game or press F3.

You cannot resume a game if you exit Russian Square.


Adding a line to the grid

During a game, you might want to add a row or column of blocks to the existing grid. Suppose you are playing a 6-by-6 grid, but there are only five blocks of a particular shape or color on the grid. Without a sixth matching block, it is impossible to eliminate the five existing ones. If you can line up those blocks easily, it might be worthwhile to add another line of blocks in the hope that you will get another matching block. Doing so does not change the scoring of the game.

To add a line of blocks to the grid

  • Press the space bar.

    Or

    On the Game menu, click Add Line.


When the game ends

A Russian Square game can end in one of three ways:

  • The grid becomes full. The largest grid size is 12-by-12 blocks. If you do not remove a line of blocks before time expires on a 12-by-12 grid, the game ends. The amount of time you have depends on the level and skill setting you are playing.
  • You clear all the blocks in level 9, the last level.
  • You surrender. If you surrender, Russian Square prompts you to confirm that you want to end the current game.

To surrender a game

  • On the Game menu, click Surrender Game.


Scoring

You earn points based on the number of blocks you remove and the level you are playing.

Russian Square saves the top five scores for each skill setting. You can view these scores at any time.

This section contains:

  • Earning points
  • Viewing high scores


Earning points

In Russian Square, you accumulate points by removing lines (rows or columns) of blocks. The number of points you receive is much greater at higher levels and skill settings, but decreases the longer you remain on the same level.

Points are awarded for the following actions.

  • Removing lines of blocks from the grid. You earn more points for removing lines (rows or columns) of blocks at higher levels. However, the longer you remain in a level, the fewer points you earn for removing lines.

    For example, in level 1, you receive 16 points for each of the first four lines you remove, 12 points for each of the second four lines, 8 points for each of the third four lines, and 4 points for each subsequent line. In level 2, you receive 25 points for each of the first four lines, 20 points for each of the next four lines, and so on. By level 9, you earn 144 points for each of the first four lines you remove.

  • Bonus points. You receive bonus points if you remove more than one line with a single move of the active block. If you remove two lines with one move, you receive double the value of the second line. If you remove three lines with one move, you receive triple the value of the third line, and so on.

    For example, suppose you are playing level 2, and you remove three lines in one move. These lines are the fourth, fifth, and sixth lines you have removed on this level. The fourth line is worth 25 points, according the rules described above. The fifth line is normally worth 20 points, but is doubled to 40 points. The sixth line, also normally worth 20 points, is tripled to 60 points. By removing these three lines at the same time, you receive 125 points!

  • Skill setting multipliers. Your score is multiplied if you play at higher skill settings. If you play at the intermediate skill setting, your overall score is doubled. If you play at the advanced skill setting, your overall score is tripled.


Viewing high scores

Russian Square saves the highest five scores earned for each skill setting.

If you earn one of the high scores on your computer, Russian Square will prompt you to enter your name. It then lists your name and score in the High Scores box at the lower-right corner of the Russian Square window.

To view the highest scores for all skill settings

  • On the Game menu, click Highest Scores.

To view the highest score for the current skill setting

  • Look in the High score box on the lower-right corner of the game board.


Customizing Russian Square

You can customize the way Russian Square appears, sounds, and performs.

This section contains the following topics:

  • Configuring game sounds
  • Enabling your mouse
  • Selecting a theme


Configuring game sounds

Russian Square includes three different music tracks, which provide background music and sounds that correspond to game events

You can change the music track, or turn it off.

To change the music track

  • On the Options menu, point to Music, and then click the track you want.

    Or

    If you do not want any music, click None.


Enabling your mouse

You can configure Russian Square to accept input from your mouse. If you use your mouse to play, you might want to adjust the speed of your mouse pointer so that the active block moves at a comfortable speed.

To enable the mouse for Russian Square

  • On the Options menu, click Mouse.

Note If a check mark appears in front of Mouse, the mouse is already enabled.

To adjust the speed of your mouse pointer

  1. Open Mouse in Control Panel.
  2. On the Pointer Options tab, under Motion, drag the slider.

Note This setting affects mouse movement in all of your programs.


Selecting a theme

Russian Square includes three different themes, which determine the appearance of the game board and pieces. Changing the theme has no effect on the behavior of the game.

To change the theme

  • On the Options menu, point to Themes, and then click the name of the theme you want.

    All subsequent games will use the theme until you change the setting again.


Strategies and tips

This topic contains tips for improving your Russian Square scores.

  • Use the keyboard, rather than the mouse, if you are a beginning Russian Square player. It is easier to move the active block precisely with the keyboard.
  • If you have trouble differentiating the colors of the pieces in the Neon or Candy themes, use the Shapes theme.
  • The easiest place on the grid to create matching lines is the far left column and top row. This is because Russian Square adds new lines on the right and bottom sides of the grid, which makes it a little harder to create matching lines on those sides. However, it is easier to build matching lines of blocks on any of the edges than it is in lines that run through the middle of the grid.
  • Look beyond simply matching one line of blocks, so you can set up other matching lines. If you have plenty of time left on the clock to complete a matching line, do not complete it right away. Use the remaining time to arrange other blocks so you can achieve other matching lines easily.
  • If you are close to completing a matching line but you do not have enough blocks of the right color or shape to complete the line, add a line of blocks by pressing the space bar. Do not wait for time to expire to get another line.
  • Try to remove a row that contains a blocker by matching the shape or color of that blocker. By removing a blocker from the grid, the level will be easier to complete.
  • Begin each level by determining which row would be the easiest to remove with the fewest moves. Planning ahead is more effective than just moving blocks right away
  • If a blocker prevents you from finishing a line of blocks, begin to work on another row instead of waiting for the blocker to move. When the blocker moves, finish the row that was blocked, and then continue to work on the new row.
  • Once you get used to using both the keyboard and mouse to play Russian Square, the most effective method is to use both. Use the keyboard to move blocks back and forth on a row or column. Use the mouse to move the active block around the edges of the grid, because the mouse is faster than the keyboard for this purpose.
  • When playing the higher levels, the game moves very quickly. A key strategy at high levels is to create multiple matching lines (a row and a column, for example) on one move. If you only eliminate one line at a time at high levels, it is very difficult to keep up with the lines being added.
  • If you have difficulty viewing the game board while playing Russian Square, it is recommended that you set your screen resolution to the lowest possible setting.


Legal Notice

This is a preliminary document and may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, email addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, email address, logo, person, places or events is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, JScript, Microsoft Press, MSN, NetShow, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, email addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, email address, logo, person, places or events is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, Direct3D, DirectDraw, DirectInput, DirectMusic, DirectPlay, DirectShow, DirectSound, DirectX, FrontPage, JScript, Microsoft Press, MSN, NetShow, Outlook, PowerPoint, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, WebTV, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.